/*为了兼容库之前可能已经存在不同的字段的数据类型，将多语言字段类型与主表保持一致（nvarchar）*/
/*问题发现：基线与开发分支找到表结构的差异*/
/*这是涉及到er的元数据表*/
EXEC p_AlterColumn 'T_ER_AMOUNTFREED', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_AMOUNTFREED_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_BIZ_INFO', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_BIZ_INFO_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ER_TRIPCITY' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_ER_TRIPCITY ADD (FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
EXEC p_AlterColumn 'T_ER_TRIPCITY', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TRIPCITY_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

EXEC p_AlterColumn 'T_ER_ENTRUSTREIMBURSE', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_ENTRUSTREIMBURSE_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_HOTELCHECKINGBILL', 'FBALANCEREMARK', 'NVARCHAR(1000)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_HOTELCHECKINGBILL_L', 'FBALANCEREMARK', 'NVARCHAR(1000)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_INTEGRALRECORD', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_INTEGRALRECORD_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_INVOICESETTING', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_INVOICESETTING_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_PAYEE', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_PAYEE_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_PLANECHECKINGBILL', 'FBALANCEREMARK', 'NVARCHAR(1000)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_PLANECHECKINGBILL_L', 'FBALANCEREMARK', 'NVARCHAR(1000)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_PUBREIMBILL', 'FAPPLIERPOSITIONSTR', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_PUBREIMBILL_L', 'FAPPLIERPOSITIONSTR', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_REIMBURSEBILL', 'FAPPLIERPOSITION', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_REIMBURSEBILL_L', 'FAPPLIERPOSITION', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_REIMBURSELEVEL', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_REIMBURSELEVEL_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_REIMBURSESTD', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_REIMBURSESTD_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_REPAYMENTBILL', 'FAPPLIERPOSITIONSTR', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_REPAYMENTBILL_L', 'FAPPLIERPOSITIONSTR', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_DAILYLOANBILL', 'FAPPLIERPOSITIONSTR', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_DAILYLOANBILL_L', 'FAPPLIERPOSITIONSTR', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_DAILYREIMBURSEBILL', 'FAPPLIERPOSITIONSTR', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_DAILYREIMBURSEBILL_L', 'FAPPLIERPOSITIONSTR', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_DAILYAPPLYBILL', 'FAPPLIERPOSITIONSTR', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_DAILYAPPLYBILL_L', 'FAPPLIERPOSITIONSTR', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_REQBILL', 'FAPPLIERPOSITION', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_REQBILL_L', 'FAPPLIERPOSITION', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_TRAINCHECKINGBILL', 'FBALANCEREMARK', 'NVARCHAR(1000)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TRAINCHECKINGBILL_L', 'FBALANCEREMARK', 'NVARCHAR(1000)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_TRIPAREA', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TRIPAREA_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_TRIPAREAGROUP', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TRIPAREAGROUP_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_TRIPAREAGROUP', 'FFULLNAME', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TRIPAREAGROUP_L', 'FFULLNAME', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_TRIPCONTROL', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TRIPCONTROL_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_TRIPEXPENSEITEM', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TRIPEXPENSEITEM_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_TRIPSTAND_ACCMOD', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TRIPSTAND_ACCMOD_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_TRIPSTANDARDTYPE', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TRIPSTANDARDTYPE_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_TRIPSTDVEHICLE', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TRIPSTDVEHICLE_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_TRIPTYPE', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TRIPTYPE_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_VEHICLECHECKINGBILL', 'FBALANCEREMARK', 'NVARCHAR(1000)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_VEHICLECHECKINGBILL_L', 'FBALANCEREMARK', 'NVARCHAR(1000)', 'NOT NULL', '1111', ''' ''';
 






